#ifndef MY_STRING_H
#define MY_STRING_H 1

#include <string.h>
#include <stdlib.h>

int gm_string_to_int(const gchar *str, int *result);
char *gm_string_catn(char *str, char *add, unsigned int n);
char *gm_string_cat(char *str, char *add);
char *gm_string_trim(const gchar *str);
gchar *gm_string_remove_char(gchar *str, gchar rem);

void gm_string_skip_space(gchar const **ptr);
void gm_string_skip_nonspace(gchar const **ptr);
void gm_string_skip_till(gchar const **ptr, gchar const *find);

gchar *gm_string_escape(gchar const *line);

#endif
